Upgrade to ubuntu 19.10 asks for uninstalling mysql 5.7

Asked by Willian Tenfen Wazilewski on 2019-11-05

Will mysql-5.7 package work on Ubuntu 19.10 ? I'm trying to upgrade from ubuntu 19.04 to 19.10, but the upgrade asks for replacing old mysql with newer version. Is there a way to customize this ubuntu upgrade process ? (Is just for my desktop).

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu mysql-5.7 Edit question
Assignee:
No assignee Edit question
Last query:
2019-11-05
Last reply:
2019-11-05
Manfred Hampl (m-hampl) said : #1

mysql-5.7 does not exist for Ubuntu 19.10 (eoan), but has been superseded by mysql-8.0.
see https://launchpad.net/ubuntu/+source/mysql-5.7 and https://launchpad.net/ubuntu/+source/mysql-8.0

I am not aware of any supported possibility to keep the 5.7 version during an upgrade.

Can you help with this problem?

Provide an answer of your own, or ask Willian Tenfen Wazilewski for more information if necessary.

To post a message you must log in.